Bug 779637 - (SOA-2007) EsbDeployment stop/start mbean functions do not restart listeners
EsbDeployment stop/start mbean functions do not restart listeners
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 GA
Unspecified Unspecified
high Severity high
: ---
: 5.0.2
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-22 12:13 EDT by Kevin Conner
Modified: 2010-06-07 00:14 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-28 09:36:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2007 None None None Never

  None (edit)
Description Kevin Conner 2010-03-22 12:13:59 EDT
Date of First Response: 2010-05-28 09:36:59
Workaround Description: Use the MBeans directly referencing the listeners rather than the deployment.
project_key: SOA

The EsbDeployment registers as an MBean within the jmx-console, with name jboss.esb:deployment=<name>, and exposes a start and stop method.

Stopping the deployment results in the listeners being stopped, however starting the deployment again does nothing.

The simple solution is to null the reference to the controller when stopping, adding a guard for null within that method.

We should also add a state so that this can be queried.
Comment 1 Kevin Conner 2010-04-16 04:11:35 EDT
Link: Added: This issue depends JBESB-3284
Comment 2 Kevin Conner 2010-04-26 09:40:43 EDT
Updated in ESB codebase, will be in next merge.
Comment 3 Jiri Pechanec 2010-05-28 09:36:59 EDT
Verified in CR1
Comment 4 David Le Sage 2010-06-07 00:14:26 EDT
This is the draft text for the Release Notes:


https://jira.jboss.org/jira/browse/SOA-2007

    The EsbDeployment stop/start MBean functions would not restart the listeners. To fix this problem,
    reference to the controller is nulled upon stopping and a guard for null has been added to the
    method. As a result, the restart function now works as expected. A state for querying this has also
    been added.

Note You need to log in before you can comment on or make changes to this bug.